.modal {
  width: 400px;
  padding: 21px 30px;
  background-color: white;
  position: fixed;
  border-radius: 20px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  &__header {
    display: flex;
    justify-content: space-between;
    font-size: 35px;
    margin: 0;

    &__cross {
      align-self: center;
      width: 19px;
      height: 19px;
      cursor: pointer;
    }
  }

  &__body {
    margin: 11px 0 20px 0;
  }

  &__buttons-block {
    display: flex;

    &__button {
      font-size: 19px;
      padding: 4px 18px;
      border: none;
      outline: none;

      &--accept {
        background-color: #60992d;
        color: #9cd26c;
        margin: 0 10px;

        &:hover {
          color: #64a527;
          background-color: #2c5a07;
        }
      }

      &--cancel {
        background-color: #a51b1b;
        color: #e08484;

        &:hover {
          color: #c13232;
          background-color: #5b0a0a;
        }
      }
    }
  }
}

.modal-wrapper {
  background-color: rgba(0, 0, 0, 0.5);
  background-size: cover;
  position: fixed;
  left: 0;
  top: 0;
  height: 100vh;
  width: 100%;
}

.items-wrapper {
  padding: 14px;
  display: flex;
  flex-wrap: wrap;
  justify-items: center;

  &__content{
    width: 100%;
    display: flex;
    flex-direction: row;

    &__products{
      width: 78%;
      display: inline-flex;
      flex-wrap: wrap;
    }

    &__form{
      width: 20%;
      padding: 0 10px 0 20px;
      border-left: 1px dotted darkcyan;
      align-self: start;
      justify-self: start;

      &__header{
        margin: 10px;
      }

      &__submit{
        color:rgb(255, 255, 255);
        outline: none;
        border: none;
        padding: 7px 10px;
        margin : 6px 0 11px 0 ;
        background-color: rgb(66, 185, 66)
      }

    }

  }
  

  &__navbar {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-right: 80px;

    &__list {
      width: 400px;
      list-style: none;
      display: flex;
      flex-direction: row;

      &__item {
        border: solid 1px #480c0c;
        padding: 8px 16px;
        text-decoration: none;
        color: #480c0c;
        user-select: none;
        &:hover {
            color: #ffffff;
            background-color: #480c0c;
        }
      }
    }
  }
}

.item {
  padding: 10px;
  margin: 5px 10px;
  width: 200px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  display: flex;
  justify-content: space-between;
  flex-direction: column;

  &__header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    &__productName {
      font-size: 20px;
      margin: 5px;
    }
    &__icons{
      display: flex;
      flex-direction: column;
      &__star {
        margin: 7px 5px 0 0;
        width: 25px;
        height: 25px;

        &:hover {
          background-image: url("http://localhost:3000/star-filled.svg");
        }
      }
      &__delete{
        margin: 7px 5px 0 0;
        width: 25px;
        height: 25px;
      }
    }
  }

  &__productPicture {
    width: 180px;
    height: 180px;
    display: flex;
    align-self: center;

    &__content {
      justify-self: center;
      align-self: center;
      width: 100%;
    }
  }

  &__data {
    &__color {
      font-size: inherit;
    }
  }

  &__subpicture-content {
    display: flex;
    justify-content: space-between;
    justify-self: flex-end;
    align-items: flex-end;
    height: content-box;

    &__vendor {
      font-size: 15px;
    }

    &__price {
      font-size: 30px;
    }
  }
}

.purchase-button {
  width: 100%;
  border: none;
  outline: none;
  padding: 5px;
  background-color: #ffa500;
  margin: 6px 0;
  font-size: 19px;
  color: #ffebeb;
  border-radius: 6px;
  user-select: none;
  &:hover {
    background-color: #d99d32;
  }
}

.unloaded-items-warning{
  margin: 0 auto;
  text-transform: uppercase;
  color: darkcyan;
  font-size: 30px;
}